Keeps values from right, while a test passes.
[:package:](https://www.npmjs.com/package/@extra-array/take-while-right)
[:smiley_cat:](https://github.com/orgs/nodef/packages?repo_name=extra-array)
[:running:](https://npm.runkit.com/@extra-array/take-while-right)
[:vhs:](https://asciinema.org/a/339838)
[:moon:](https://www.npmjs.com/package/@extra-array/take-while-right.min)
[:scroll:](https://unpkg.com/@extra-array/take-while-right/)
[:newspaper:](https://nodef.github.io/extra-array/)
[:blue_book:](https://github.com/nodef/extra-array/wiki/)

> Alternatives: [take], [takeRight], [takeWhile], [takeWhileRight].<br>
> Similar: [take], [drop].

> This is part of package [extra-array].

[extra-array]: https://www.npmjs.com/package/extra-array

<br>

```javascript
array.takeWhileRight(x, ft);
// x:  an array
// ft: test function (v, i, x)
```

```javascript
const array = require("extra-array");

var x = [1, 2, 3, 4, 5];
array.takeWhileRight(x, v => v >= 3);
// [ 3, 4, 5 ]

array.takeWhileRight(x, v => v >= 4);
// [ 4, 5 ]
```

<br>
<br>


## References

- [Data.List.takeWhile: Haskell](https://hackage.haskell.org/package/base-4.14.0.0/docs/Data-List.html#v:takeWhile)
- [Array.prototype.slice: MDN web docs](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Array/slice)

[take]: https://github.com/nodef/extra-array/wiki/take
[takeRight]: https://github.com/nodef/extra-array/wiki/takeRight
[takeWhile]: https://github.com/nodef/extra-array/wiki/takeWhile
[takeWhileRight]: https://github.com/nodef/extra-array/wiki/takeWhileRight
[drop]: https://github.com/nodef/extra-array/wiki/drop
